use crate::{Payload, SeString};
use crate::payload::AutoTranslatePayload;

super::basic_tests! {
    auto_translate {
        payload = &[2, 46, 5, 5, 242, 2, 12, 3];
        expected = SeString(vec![
            Payload::AutoTranslate(AutoTranslatePayload {
                group: 5,
                key: 524,
            }),
        ]);
    }
}
